CGAL 6.1.2 - Linear Cell Complex: Draw a Linear Cell Complex

CGAL 6.1.2 - Linear Cell Complex

Loading...
Searching...
No Matches
Functions
Draw a Linear Cell Complex
Reference Manual

##

`#include<CGAL/draw_linear_cell_complex.h>`

## Functions
template<class LCC , class GSOptions >
void | CGAL::draw (const LCC &lcc, const GSOptions &gso)
| opens a new window and draws a linear cell complex.
template<class LCC >
void | CGAL::draw (const LCC &lcc)
| A shortcut to `CGAL::draw(lcc, Graphics_scene_options{})`.
template<class LCC , class GSOptions >
void | CGAL::add_to_graphics_scene (const LCC &lcc, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `lcc` into the given graphic scene `gs`.
template<class LCC >
void | CGAL::add_to_graphics_scene (const LCC &lcc, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(lcc, gs, Graphics_scene_options{})`.

## Function Documentation

## ◆ add_to_graphics_scene()

template<class LCC , class GSOptions >

void CGAL::add_to_graphics_scene | ( | const LCC & | lcc,
|  | CGAL::Graphics_scene & | gs,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_linear_cell_complex.h>`

adds the vertices, edges and faces of `lcc` into the given graphic scene `gs`.

Parameters of the cells are taken from the optional graphics scene options parameter `gso`. Note that `gs` is not cleared before being filled (to enable to draw several data structures in the same basic viewer).

Template Parameters

  LCC | which must be an instantiation of a `CGAL::Linear_cell_complex_for_combinatorial_map<...>` or `CGAL::Linear_cell_complex_for_generalized_map<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  lcc | the linear cell complex to draw.
  gs | the graphic scene to fill.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<unsigned int d, unsigned int ad, class T, class I, class M, class R, class S, class GSOptions>`

`void CGAL::add_to_graphics_scene(const CGAL::Linear_cell_complex_base<d, ad, T, I, A, M, R, S>& lcc, CGAL::Graphics_scene& gs, const GSOptions& gso);`

## ◆ draw()

template<class LCC , class GSOptions >

void CGAL::draw | ( | const LCC & | lcc,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_linear_cell_complex.h>`

opens a new window and draws a linear cell complex.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  LCC | which must be an instantiation of a `CGAL::Linear_cell_complex_for_combinatorial_map<...>` or `CGAL::Linear_cell_complex_for_generalized_map<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  lcc | the linear cell complex to draw.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<unsigned int d, unsigned int ad, class T, class I, class M, class R, class S, class GSOptions>`

`void CGAL::draw(const CGAL::Linear_cell_complex_base<d, ad, T, I, A, M, R, S>& lcc, const GSOptions& gso);`